import serial
import time
import sys
import csv
import numpy as np

ser = serial.Serial('/dev/ttyUSB0')                         # the Proofing Box is connected here (sometimes it is ttyAMC0)
ser.flushInput()

while True:
    try:
        data = ser.readline()                               # get a chunk of data
        dataTable = data.split(';')                         # try to split it in two to get temp and humidity in two cells
        temp = float(dataTable[0].decode("utf-8"))  
        hum = float(dataTable[2].decode("utf-8"))
        print(temp, hum)
        with open("data.csv","a") as f:                     # open the data file to add data, create it if needed
            writer = csv.writer(f,delimiter=",")
            writer.writerow([time.time(),temp, hum])
    except ValueError:                                      # skip false readings
	pass
    except IndexError:                                      # skip false readings
	pass
    except KeyboardInterrupt:                               # when user press Ctrl-C to stop the program
        print("Ok, bye then !")
	break
    except:                                                 # anything else going wrong, we want to know what and why
        print("Oops!",sys.exc_info()[0],"occured.")
        break


